/**
 * Maintain information for Select and Sort extensions
 *
 * (c) Columbia University, 2001-2004, All Rights Reserved.
 * Author: Weibin Zhao
 */

class SelectSortExt {

    int id, bound;
    String key;

    SelectSortExt(int id, int bound) {
        this.id    = id;
        this.bound = bound;
    }

    SelectSortExt(int id, String key) {
        this.id    = id;
        this.key   = key;
    }

    public int getID() {
        return id;
    }

    public int getBound() {
        return bound;
    }

    public String getKey() {
        return key;
    }
}
